gr::adapt::iqrd_rls_filter_cc Class Referenceabstract

Inverse QR Decomposition Recursive Least Squares Adaptive Filter (complex in/out) More...

`#include <iqrd_rls_filter_cc.h>`

Inheritance diagram for gr::adapt::iqrd_rls_filter_cc:
[legend]

## Public Types

typedef boost::shared_ptr< iqrd_rls_filter_cc > | sptr

## Public Member Functions

virtual void | set_taps (const std::vector< gr_complex > &taps)=0
virtual const std::vector< gr_complex > & | get_taps ()=0
virtual float | get_delta () const =0
virtual void | set_delta (float delta)=0
virtual float | get_lambda () const =0
virtual void | set_lambda (float _lambda)=0
virtual unsigned | get_skip () const =0
virtual void | set_skip (unsigned skip)=0
virtual bool | get_adapt () const =0
virtual void | set_adapt (bool adapt)=0
virtual bool | get_reset () const =0
virtual void | set_reset (bool reset)=0

## Static Public Member Functions

static sptr | make (int num_taps, float delta, float _lambda, unsigned skip, unsigned decimation, bool adapt, bool reset)

## Detailed Description

Inverse QR Decomposition Recursive Least Squares Adaptive Filter (complex in/out)

This block implements an IQRD-RLS-based adaptive filter.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<iqrd_rls_filter_cc> gr::adapt::iqrd_rls_filter_cc::sptr

## Member Function Documentation

## get_adapt()

virtual bool gr::adapt::iqrd_rls_filter_cc::get_adapt | ( |  | ) | const

pure virtual

Implemented in gr::adapt::iqrd_rls_filter_cc_impl.

## get_delta()

virtual float gr::adapt::iqrd_rls_filter_cc::get_delta | ( |  | ) | const

pure virtual

Implemented in gr::adapt::iqrd_rls_filter_cc_impl.

## get_lambda()

virtual float gr::adapt::iqrd_rls_filter_cc::get_lambda | ( |  | ) | const

pure virtual

Implemented in gr::adapt::iqrd_rls_filter_cc_impl.

## get_reset()

virtual bool gr::adapt::iqrd_rls_filter_cc::get_reset | ( |  | ) | const

pure virtual

Implemented in gr::adapt::iqrd_rls_filter_cc_impl.

## get_skip()

virtual unsigned gr::adapt::iqrd_rls_filter_cc::get_skip | ( |  | ) | const

pure virtual

Implemented in gr::adapt::iqrd_rls_filter_cc_impl.

## get_taps()

virtual const std::vector< gr_complex > & gr::adapt::iqrd_rls_filter_cc::get_taps | ( |  | ) |

pure virtual

Implemented in gr::adapt::iqrd_rls_filter_cc_impl.

## make()

static sptr gr::adapt::iqrd_rls_filter_cc::make | ( | int | num_taps,
|  | float | delta,
|  | float | _lambda,
|  | unsigned | skip,
|  | unsigned | decimation,
|  | bool | adapt,
|  | bool | reset
| ) |  |

static

Make an IQRD-RLS adaptive filter

Parameters

  num_taps | Number of taps in the filter (int)
  delta | Regularization factor of the update loop (float)
  _lambda | Forgetting factor of the update loop (float)
  skip | Specifies how many samples are skipped between successive filter updates (unsigned)
  decimation | Decimation rate of the filter (unsigned)
  adapt | Controls whether filter taps are being updated (bool)
  reset | Reset filter taps (bool)

## set_adapt()

virtual void gr::adapt::iqrd_rls_filter_cc::set_adapt | ( | bool | adapt | ) |

pure virtual

Implemented in gr::adapt::iqrd_rls_filter_cc_impl.

## set_delta()

virtual void gr::adapt::iqrd_rls_filter_cc::set_delta | ( | float | delta | ) |

pure virtual

Implemented in gr::adapt::iqrd_rls_filter_cc_impl.

## set_lambda()

virtual void gr::adapt::iqrd_rls_filter_cc::set_lambda | ( | float | _lambda | ) |

pure virtual

Implemented in gr::adapt::iqrd_rls_filter_cc_impl.

## set_reset()

virtual void gr::adapt::iqrd_rls_filter_cc::set_reset | ( | bool | reset | ) |

pure virtual

Implemented in gr::adapt::iqrd_rls_filter_cc_impl.

## set_skip()

virtual void gr::adapt::iqrd_rls_filter_cc::set_skip | ( | unsigned | skip | ) |

pure virtual

Implemented in gr::adapt::iqrd_rls_filter_cc_impl.

## set_taps()

virtual void gr::adapt::iqrd_rls_filter_cc::set_taps | ( | const std::vector< gr_complex > & | taps | ) |

pure virtual

Implemented in gr::adapt::iqrd_rls_filter_cc_impl.

The documentation for this class was generated from the following file:

- iqrd_rls_filter_cc.h